import * as crypto from 'crypto';

declare const generateSalt: (length: number) => string;
declare const digest: (data: string, algorithm?: string) => Uint8Array;
declare const ES256: {
    alg: string;
    generateKeyPair(): Promise<{
        publicKey: crypto.webcrypto.JsonWebKey;
        privateKey: crypto.webcrypto.JsonWebKey;
    }>;
    getSigner(privateKeyJWK: object): Promise<(data: string) => Promise<string>>;
    getVerifier(publicKeyJWK: object): Promise<(data: string, signatureBase64url: string) => Promise<boolean>>;
};

export { ES256, digest, generateSalt };
